
Foreman - Feature #691

Implement simple status service

02/25/2011 07:32 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Simple status (ping) service that would respond with JSON

{ "status":"ok" }

Associated revisions

Revision b752d4f7 - 03/07/2011 05:23 AM - Lukas Zapletal

Fixes #691 - Implement simple status service

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

History

#1 - 02/25/2011 07:33 AM - Lukas Zapletal

- Assignee set to Lukas Zapletal

#2 - 02/25/2011 07:50 AM - Lukas Zapletal

I have implemented this: https://github.com/ohadlevy/foreman/pull/6

Here is how to use it:

$ curl -k -H "Accept: application/json" http://localhost:3001/status

{"db_duration_ms":"2","result":"ok"}

#3 - 02/25/2011 07:51 AM - Lukas Zapletal

- Status changed from New to Pending

- % Done changed from 0 to 100

#4 - 02/25/2011 07:53 AM - Ohad Levy

would you mind sending it to foreman-dev mailing list as a patch? - see Contribute

#5 - 02/28/2011 12:03 PM - Lukas Zapletal

I will do that. I dont know why it did not send me an email when you updated the task. Need to get familiar with RedMine :-)

#6 - 03/01/2011 09:27 AM - Lukas Zapletal

Moving to the home controller and creating functional test. I will re-send my patch to the list.

#7 - 03/02/2011 09:56 AM - Lukas Zapletal

Sending new patch to the list:

- moved to home controller

- returns HTTP CODE 200 when ok, 500 on error

- functional test
#8 - 03/07/2011 07:36 AM - Anonymous

- Status changed from Pending to Ready For Testing

Applied in changeset b752d4f75fcc815ed89a4a3e4217ac44bb2238d3.

#9 - 03/09/2011 06:32 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- Target version set to 0.2
